import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetUserPreferenceForViewDto, UserPreferenceDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewUserPreferenceModal',
    templateUrl: './view-userPreference-modal.component.html'
})
export class ViewUserPreferenceModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetUserPreferenceForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetUserPreferenceForViewDto();
        this.item.userPreference = new UserPreferenceDto();
    }

    show(item: GetUserPreferenceForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
